summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2016-03-07 22:39:26 -0500
committerMike Frysinger <vapier@gentoo.org>2016-03-07 22:44:56 -0500
commit29564fa547bc396bcd59742a8ee9d5707766c112 (patch)
tree4beb93a7b2baf33148435f96991fea46042df7a0 /sys-apps/findutils
parentnet-p2p/transmission: Bump to 2.92 (diff)
downloadgentoo-29564fa547bc396bcd59742a8ee9d5707766c112.tar.gz
gentoo-29564fa547bc396bcd59742a8ee9d5707766c112.tar.bz2
gentoo-29564fa547bc396bcd59742a8ee9d5707766c112.zip
sys-apps/findutils: fix building w/newer glibc
Diffstat (limited to 'sys-apps/findutils')
-rw-r--r--sys-apps/findutils/findutils-4.6.0.ebuild4
1 files changed, 4 insertions, 0 deletions
diff --git a/sys-apps/findutils/findutils-4.6.0.ebuild b/sys-apps/findutils/findutils-4.6.0.ebuild
index 935a16c6c62..2c394d01f97 100644
--- a/sys-apps/findutils/findutils-4.6.0.ebuild
+++ b/sys-apps/findutils/findutils-4.6.0.ebuild
@@ -31,6 +31,10 @@ src_prepare() {
# Don't build or install locate because it conflicts with slocate,
# which is a secure version of locate. See bug 18729
sed -i '/^SUBDIRS/s/locate//' Makefile.in
+
+ # Newer C libraries omit this include from sys/types.h.
+ # https://lists.gnu.org/archive/html/bug-gnulib/2016-03/msg00018.html
+ sed -i '1i#include <sys/sysmacros.h>' gl/lib/mountlist.c || die
}
src_configure() {